%define name	libbtctl
%define version 0.11.1
%define release %mkrel 4

%define major 6
%define libname %mklibname btctl %{major}
%define develname %mklibname btctl -d
%define __libtoolize    /bin/true

Name: 	 	%{name}
Summary: 	GNOME bluetooth control library
Version: 	%{version}
Release: 	%{release}
Source0:	http://ftp.gnome.org/pub/GNOME/sources/libbtctl/%{name}-%{version}.tar.xz
Patch:		libbtctl-0.11.1-format-strings.patch
Patch2:		libbtctl-0.4.1-pydir.patch
Patch3:		libbtctl-0.8.0-crash.patch
Patch4:		libbtctl_fix_broken_check.patch
URL:		http://usefulinc.com/software/gnome-bluetooth/
License:	GPLv2+
Group:		System/Libraries
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	autoconf2.5 >= 2.54
BuildRequires:	libgnomeui2-devel libGConf2-devel
BuildRequires:	bluez-devel gtk-doc perl-XML-Parser
BuildRequires:	intltool python-devel
BuildRequires:	pygtk2.0-devel
BuildRequires:	openobex-devel >= 1.1
Requires:   glibc >= 2.10.1
Requires:   libstdc++6 >= 4.4.1
Obsoletes:  %name < %version

%description
Current features include:
    * Bonobo component to manage the discovery of nearby Bluetooth devices
    * Component will create serial (RFCOMM) connections for clients to devices
    * libbtcl, a GObject wrapper for Bluetooth functionality

Features planned in the near future include:
    * Control-center prefs application to give users overall control over
      devices

%package -n %{libname}
Group:		System/Libraries
Summary:	GNOME bluetooth control library
Requires:	bluez
Provides:	%{name} = %{version}-%{release}

%description -n %{libname}
Current features include:
    * Bonobo component to manage the discovery of nearby Bluetooth devices
    * Component will create serial (RFCOMM) connections for clients to devices
    * libbtcl, a GObject wrapper for Bluetooth functionality

Features planned in the near future include:
    * Control-center prefs application to give users overall control over
      devices

%package -n %{develname}
Group:		Development/C
Summary:	Static libraries and header files from %{name}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	%mklibname btctl 4 -d
Provides:	%mklibname btctl 4 -d

%description -n %{develname}
Static libraries and header files from %name

%package -n python-%{name}
Group:		Development/Python
Summary:	Bluetooth Python bindings
Requires:	%{libname}

%description -n python-%{name}
This is the python wrapper for %name.

%prep
%setup -q
%patch -p1
%patch2 -p1 -b .pydir
%patch3 -p1 -b .crash
%patch4 -p1 -b .lib


%build
autoreconf -fis
%configure2_5x --enable-shared --disable-mono
# parallel build fails
make
										
%install
rm -rf %{buildroot}
%makeinstall_std
%find_lang %{name}
rm -f %{buildroot}%{py_platsitedir}/*a

%clean
rm -rf %{buildroot}

%post -n %{libname}
/sbin/ldconfig

%postun -n %{libname}
/sbin/ldconfig

%files -n %{libname} -f %{name}.lang
%defattr(-,root,root)
%{_libdir}/libbtctl.so.%{major}*

%files -n python-%{name}
%defattr(-,root,root)
%{py_platsitedir}/btctl.so

%files -n %{develname}
%defattr(-,root,root)
%doc AUTHORS ChangeLog README
%doc %{_datadir}/gtk-doc/html/%{name}
%{_includedir}/%{name}
%{_libdir}/*.so
%attr(644,root,root) %{_libdir}/*.la
%{_libdir}/*.a
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Sat Sep 04 2010 Texstar <texstar at gmail.com> 0.11.1-4pclos2010
- rebuild

* Thu Jan 21 2010 Texstar <texstar at gmail.com> 0.11.1-3pclos2010
- rebuild libtool 2.26

* Tue Jan 05 2010 Texstar <texstar at gmail.com> 0.11.1-2pclos2010
- rebuild to fix dependency

* Thu Dec 17 2009 Texstar <texstar at gmail.com> 0.11.1-1pclos2010
- update

